## iputils 20161105

=== Makefile ===
#
# Configuration
#

# Path to parent kernel include files directory
LIBC_INCLUDE=/usr/include
# Libraries
ADDLIB=
# Linker flags
LDFLAG_STATIC=-Wl,-Bstatic
LDFLAG_DYNAMIC=-Wl,-Bdynamic
LDFLAG_CAP=-lcap
LDFLAG_GCRYPT=-lgcrypt -lgpg-error
LDFLAG_NETTLE=-lnettle
LDFLAG_CRYPTO=-lcrypto
LDFLAG_IDN=-lidn
LDFLAG_RESOLV=-lresolv
LDFLAG_SYSFS=-lsysfs
LDFLAG_RT=-lrt
LDFLAG_M=-lm

#
# Options
#

# Capability support (with libcap) [yes|static|no]
USE_CAP=yes
# sysfs support (with libsysfs - deprecated) [no|yes|static]
USE_SYSFS=no
# IDN support  [yes|no|static]
USE_IDN=yes

# Do not use getifaddrs [no|yes|static]
WITHOUT_IFADDRS=no
# arping default device (e.g. eth0) []
ARPING_DEFAULT_DEVICE=

# nettle library for ipv6 ping [yes|no|static]
USE_NETTLE=yes
# libgcrypt library for ipv6 ping [no|yes|static]
USE_GCRYPT=no
# Crypto library for ping6 [shared|static|no]
USE_CRYPTO=shared
# Resolv library for ping6 [yes|static]
USE_RESOLV=yes
# ping6 source routing (deprecated by RFC5095) [no|yes|RFC3542]
ENABLE_PING6_RTHDR=no

# rdisc server (-r option) support [no|yes]
ENABLE_RDISC_SERVER=no

# -------------------------------------
# What a pity, all new gccs are buggy and -Werror does not work. Sigh.
# CFLAGS+=-fno-strict-aliasing -Wstrict-prototypes -Wall -Werror -g
CFLAGS?=-O3 -g
CFLAGS+=-fno-strict-aliasing -Wstrict-prototypes -Wall
CPPFLAGS+=-D_GNU_SOURCE
LDLIB=

FUNC_LIB = $(if $(filter static,$(1)),$(LDFLAG_STATIC) $(2) $(LDFLAG_DYNAMIC),$(2))

# USE_GCRYPT: DEF_GCRYPT, LIB_GCRYPT
# USE_CRYPTO: LIB_CRYPTO
ifneq ($(USE_GCRYPT),no)
	LIB_CRYPTO = $(call FUNC_LIB,$(USE_GCRYPT),$(LDFLAG_GCRYPT))
	DEF_CRYPTO = -DUSE_GCRYPT
else
ifneq ($(USE_NETTLE),no)
	LIB_CRYPTO = $(call FUNC_LIB,$(USE_NETTLE),$(LDFLAG_NETTLE))
	DEF_CRYPTO = -DUSE_NETTLE
else
ifneq ($(USE_CRYPTO),no)
	LIB_CRYPTO = $(call FUNC_LIB,$(USE_CRYPTO),$(LDFLAG_CRYPTO))
	DEF_CRYPTO = -DUSE_OPENSSL
endif
endif
endif

# USE_RESOLV: LIB_RESOLV
LIB_RESOLV = $(call FUNC_LIB,$(USE_RESOLV),$(LDFLAG_RESOLV))

# USE_CAP:  DEF_CAP, LIB_CAP
ifneq ($(USE_CAP),no)
	DEF_CAP = -DCAPABILITIES
	LIB_CAP = $(call FUNC_LIB,$(USE_CAP),$(LDFLAG_CAP))
endif

# USE_SYSFS: DEF_SYSFS, LIB_SYSFS
ifneq ($(USE_SYSFS),no)
	DEF_SYSFS = -DUSE_SYSFS
	LIB_SYSFS = $(call FUNC_LIB,$(USE_SYSFS),$(LDFLAG_SYSFS))
endif

# USE_IDN: DEF_IDN, LIB_IDN
ifneq ($(USE_IDN),no)
	DEF_IDN = -DUSE_IDN
	LIB_IDN = $(call FUNC_LIB,$(USE_IDN),$(LDFLAG_IDN))
endif

# WITHOUT_IFADDRS: DEF_WITHOUT_IFADDRS
ifneq ($(WITHOUT_IFADDRS),no)
	DEF_WITHOUT_IFADDRS = -DWITHOUT_IFADDRS
endif

# ENABLE_RDISC_SERVER: DEF_ENABLE_RDISC_SERVER
ifneq ($(ENABLE_RDISC_SERVER),no)
	DEF_ENABLE_RDISC_SERVER = -DRDISC_SERVER
endif

# ENABLE_PING6_RTHDR: DEF_ENABLE_PING6_RTHDR
ifneq ($(ENABLE_PING6_RTHDR),no)
	DEF_ENABLE_PING6_RTHDR = -DPING6_ENABLE_RTHDR
ifeq ($(ENABLE_PING6_RTHDR),RFC3542)
	DEF_ENABLE_PING6_RTHDR += -DPINR6_ENABLE_RTHDR_RFC3542
endif
endif

# -------------------------------------
TARGETS=ping tracepath traceroute6 clockdiff rdisc arping tftpd rarpd

LDLIBS=$(LDLIB) $(ADDLIB)

UNAME_N:=$(shell uname -n)
LASTTAG:=$(shell git describe HEAD | sed -e 's/-.*//')
TODAY=$(shell date +%Y-%m-%d)
DATE=$(shell date -d $(TODAY) +%Y%m%d)
TAG:=$(shell date -d $(TODAY) +s%Y%m%d)


# -------------------------------------
.PHONY: all ninfod clean distclean man html check-kernel modules snapshot

all: $(TARGETS)

%.s: %.c
	$(COMPILE.c) $< $(DEF_$(patsubst %.o,%,$@)) -S -o $@
%.o: %.c
	$(COMPILE.c) $< $(DEF_$(patsubst %.o,%,$@)) -o $@
LINK.o += $(CFLAGS)
$(TARGETS): %: %.o
	$(LINK.o) $^ $(LIB_$@) $(LDLIBS) -o $@

# -------------------------------------
# arping
DEF_arping = $(DEF_SYSFS) $(DEF_CAP) $(DEF_IDN) $(DEF_WITHOUT_IFADDRS)
LIB_arping = $(LIB_SYSFS) $(LIB_CAP) $(LIB_IDN) $(LDFLAG_RT)

ifneq ($(ARPING_DEFAULT_DEVICE),)
DEF_arping += -DDEFAULT_DEVICE=\"$(ARPING_DEFAULT_DEVICE)\"
endif

# clockdiff
DEF_clockdiff = $(DEF_CAP)
LIB_clockdiff = $(LIB_CAP)

# ping / ping6
DEF_ping = $(DEF_CAP) $(DEF_IDN) $(DEF_CRYPTO) $(DEF_WITHOUT_IFADDRS)
DEF_ping_common = $(DEF_ping)
DEF_ping6_common = $(DEF_ping)
LIB_ping = $(LIB_CAP) $(LIB_IDN) $(LIB_CRYPTO) $(LIB_RESOLV) $(LDFLAG_M)

ping: ping_common.o ping6_common.o
ping.o ping_common.o ping6_common.o: ping.h in6_flowlabel.h
ping6.o ping6_common.o: ping.h in6_flowlabel.h

# rarpd
DEF_rarpd =
LIB_rarpd =

# rdisc
DEF_rdisc = $(DEF_ENABLE_RDISC_SERVER)
LIB_rdisc =

# tracepath
DEF_tracepath = $(DEF_IDN)
LIB_tracepath = $(LIB_IDN)

# traceroute6
DEF_traceroute6 = $(DEF_CAP) $(DEF_IDN)
LIB_traceroute6 = $(LIB_CAP) $(LIB_IDN)

# tftpd
DEF_tftpd =
DEF_tftpsubs =
LIB_tftpd =

tftpd: tftpsubs.o
tftpd.o tftpsubs.o: tftp.h

# -------------------------------------
# ninfod
ninfod:
	@set -e; \
		if [ ! -f ninfod/Makefile ]; then \
			cd ninfod; \
			./configure; \
			cd ..; \
		fi; \
		$(MAKE) -C ninfod

# -------------------------------------
# modules / check-kernel are only for ancient kernels; obsolete
check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, set correct KERNEL_INCLUDE"; false; fi
endif

modules: check-kernel
	$(MAKE) KERNEL_INCLUDE=$(KERNEL_INCLUDE) -C Modules

# -------------------------------------
man:
	$(MAKE) -C doc man

html:
	$(MAKE) -C doc html

clean:
	@rm -f *.o $(TARGETS)
	@$(MAKE) -C Modules clean
	@$(MAKE) -C doc clean
	@set -e; \
		if [ -f ninfod/Makefile ]; then \
			$(MAKE) -C ninfod clean; \
		fi

distclean: clean
	@set -e; \
		if [ -f ninfod/Makefile ]; then \
			$(MAKE) -C ninfod distclean; \
		fi

# -------------------------------------
RPMBUILD=rpmbuild
RPMTMP=.rpmtmp
snapshot:
	@echo "[$(TAG)]" > RELNOTES.NEW
	@echo >>RELNOTES.NEW
	@git log --no-merges $(LASTTAG).. | git shortlog >> RELNOTES.NEW
	@echo >> RELNOTES.NEW
	@cat RELNOTES >> RELNOTES.NEW
	@mv RELNOTES.NEW RELNOTES
	@sed -e "s/^%define ssdate .*/%define ssdate $(DATE)/" iputils.spec > iputils.spec.tmp
	@mv iputils.spec.tmp iputils.spec
	@echo "#define SNAPSHOT \"$(TAG)\"" > SNAPSHOT.h
	@$(MAKE) -C doc snapshot
	@$(MAKE) man
	@git commit -a -m "iputils-$(TAG)"
	@git tag -s -m "iputils-$(TAG)" $(TAG)
	@git archive --format=tar --prefix=iputils-$(TAG)/ $(TAG) | bzip2 -9 > ../iputils-$(TAG).tar.bz2

rpm:
	@git archive --format=tar --prefix=iputils/ HEAD | bzip2 -9 > $(RPMTMP)/iputils.tar.bz2
	@$(RPMBUILD) -ta --define 'current yes' $(RPMTMP)/iputils.tar.bz2
	@rm -f $(RPMTMP)/iputils.tar.bz2

=== doc/Makefile ===
SHELL:=/bin/bash #required for pushd and popd

SGMLFILES=$(shell echo *.sgml)
HTMLFILES=$(subst .sgml,.html,$(SGMLFILES)) index.html
MANFILES=$(subst .sgml,.8,$(SGMLFILES))

all: html

html: $(HTMLFILES) iputils.html

man: $(MANFILES) fix_sgml2man

# docbook scripts are incredibly dirty in the sense that they leak
# lots of some strange temporary junk directories and files.
# So, scope it to a temporary dir and clean all after each run.

SETUP_TMPDIR = \
	t="tmp.db2html.$@"; \
	rm -rf $$t; \
	mkdir $$t; \
	pushd $$t >/dev/null
CLEAN_TMPDIR = \
	popd >/dev/null; \
	rm -rf $$t

MAKE_HTML = \
	@set -e; \
	$(SETUP_TMPDIR); \
	docbook2html ../$<; \
	mv *.html ..; \
	$(CLEAN_TMPDIR)

$(HTMLFILES): index.db
	$(MAKE_HTML)

iputils.html: iputils.db
	$(MAKE_HTML)

# docbook2man produces utterly ugly output and I did not find
# any way to customize this but hacking backend perl script a little.
# Well, hence...

$(MANFILES): index.db
	@set -e; \
	$(SETUP_TMPDIR); \
	nsgmls ../$< | sgmlspl ../docbook2man-spec.pl ""; \
	mv $@ ..; \
	$(CLEAN_TMPDIR)

fix_sgml2man: tracepath.8
	@sed -i -e 's!\\fB\\fIdestination\\fB\\fR \[\\fB/\\fIport\\fB\\fR\]!\\fB\\fIdestination\\fB\\fR[\\fB/\\fIport\\fB\\fR]!g' $<

clean:
	@rm -rf $(MANFILES) $(HTMLFILES) iputils.html tmp.db2html* tmp.db2man*

snapshot:
	@date "+%y%m%d" > snapshot.db


$(MANFILES): $(SGMLFILES)

$(HTMLFILES): $(SGMLFILES)

=== debian/changelog ===
iputils (3:20161105-1) unstable; urgency=medium

  * New upstream release (Closes: #819204, #825754)
  * Merge IPv6 support into tracepath, drop tracepath6 binary.
  * Set debhelper compat level to 9
  * Bump standards version to 3.9.8 (no changes needed).
  * Switch to opensp for docbook processing (Closes: #837064)
  * Fix issue with UDP destination port management in
    traceroute6. (Closes: #843264)
  * Explicitly build-depend on libidn11-dev

 -- Noah Meyerhans <noahm@debian.org>  Wed, 09 Nov 2016 22:23:32 -0800

iputils (3:20150815-2) unstable; urgency=medium

  * Import upstream's fix to support systems with only one of IPv4 or
    IPv6 enabled. (Closes: 816227)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 01 Mar 2016 06:47:28 -0800

iputils (3:20150815-1) unstable; urgency=medium

  * New upstream release (Closes: 146162, 219140, 815197, 732632)
  * install ping6 and ping4 as symlinks to /bin/ping
  * Bump standards version to 3.9.7 (no changes)
  * Silence output during installation if setcap is successful
    (Closes: 737577)
  * Encode the debian/changelog date rather than the build date in
    generated documentation in order to support reproducible builds.
    (Closes: 783219)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 25 Feb 2016 09:55:01 -0800

iputils (3:20121221-6) UNRELEASED; urgency=medium

  * Remove setuid bits on binaries if setcap succeeds during 
    reconfigure. (Closes: 778500)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 18 Mar 2015 20:29:32 -0700

=== debian/control ===
Source: iputils
Section: net
Priority: extra
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 7), opensp, sgmlspl, docbook, libcap-dev, libgnutls-openssl-dev, libidn11-dev, bash (>= 3)
Vcs-Git: https://anonscm.debian.org/git/collab-maint/iputils.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/iputils.git

Package: iputils-ping
Architecture: any
Provides: ping
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcap2-bin
Description: Tools to test the reachability of network hosts
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
 .
 This package includes a ping6 utility which supports IPv6 network
 connections.
 
Package: iputils-tracepath
Architecture: any
Suggests: traceroute
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to trace the network path to a remote host
 The tracepath utility is similar to the traceroute utility, but also
 attempts to discover the MTU of the path. Supports IPv4 and IPv6.

Package: iputils-arping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcap2-bin
Conflicts: arping
Description: Tool to send ICMP echo requests to an ARP address
 The arping command acts like the standard ping command except it pings
 a machine by its ARP address instead of its IP address.  It is typically
 used to locate a machine if its hardware address is known but its IP
 address is unknown

Package: iputils-clockdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Measure the time difference between networked computers
 Clockdiff computes the difference between the time of the machine on
 which it is called and the time of other network-accessible machines.
 The time differences measured by clockdiff are obtained using a
 sequence of ICMP TSTAMP messages which are returned to the sender by
 the IP module in the remote machine.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export DEBIAN_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# This has to be exported to make some magic below work.
export DH_OPTIONS

TARGETS=ping tracepath traceroute6 clockdiff arping

configure:
	dh_testdir

build-arch: configure
	dh_testdir
	$(MAKE) $(TARGETS)

build-indep: configure
	dh_testdir
	$(MAKE) -C doc man

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -piputils-tracepath usr/bin
	dh_installdirs -piputils-ping bin
	dh_installdirs -piputils-arping usr/bin
	dh_installdirs -piputils-clockdiff usr/bin

	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
	ln -s ping debian/iputils-ping/bin/ping6
	ln -s ping debian/iputils-ping/bin/ping4
	install -m 4755 -o root -g root traceroute6 \
		debian/iputils-tracepath/usr/bin/traceroute6.iputils
	install -m 0755 -o root -g root tracepath \
		debian/iputils-tracepath/usr/bin/
	install -m 0755 -o root -g root arping debian/iputils-arping/usr/bin/
	install -m 0755 -o root -g root clockdiff \
		debian/iputils-clockdiff/usr/bin/

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_lintian
	dh_installcron
	dh_installman -piputils-ping
	dh_installman -piputils-tracepath
	mv debian/iputils-tracepath/usr/share/man/man8/traceroute6.8 \
		debian/iputils-tracepath/usr/share/man/man8/traceroute6.iputils.8
	dh_installman -piputils-arping
	dh_installman -piputils-clockdiff
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	chmod 755 debian/iputils-ping/bin/ping
	chmod 755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
	chmod 755 debian/iputils-arping/usr/bin/arping
	chmod 755 debian/iputils-clockdiff/usr/bin/clockdiff
	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping4.8.gz
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch # no binary-indep
.PHONY: build configure clean binary-indep binary-arch binary install

## iputils 20180629

=== debian/changelog ===
iputils (3:20180629-2ubuntu2) disco; urgency=medium

  * Drop setuid bits in favor of capabilities, now that we can rely on fscap
    support everywhere including in lxd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Dec 2018 09:08:19 +0200

iputils (3:20180629-2ubuntu1) cosmic; urgency=medium

  * Backport buildfix from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 10:25:07 +0200

iputils (3:20180629-2) unstable; urgency=medium

  * Upstream no longer maintains the RELNOTES or README files in a useful
    way, so we won't install them. (Closes: #904912)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 03 Aug 2018 09:53:09 -0700

iputils (3:20180629-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Support cross-building
    - Mark ping and ping6, arping, tracepath, and clockdiff setuid again as
      there's currently no good way to have capabilities be kept in all our
      images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Jul 2018 10:23:25 -0400

iputils (3:20180629-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #858272, #898978, #477569, #883982)
  * Update build deps to reflect changes to documentation generation
    process.
  * Update Vcs links in debian/control to reflect the salsa migration.
  * Update standards version to 4.1.4
  * Change Priority: extra to Priority: optional per policy 4.0.1

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Jun 2018 22:03:19 -0700

iputils (3:20161105-1ubuntu2) zesty; urgency=medium

  * Build-depend on sgmlspl without the :any, since this is now an Arch: all
    package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Mar 2017 14:42:04 -0800

iputils (3:20161105-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.
  * Fixes ping -I support.  LP: #1646956.
  * Remaining changes:
    - Support cross-building
    - Mark ping and ping6, arping, tracepath, and clockdiff setuid again as
      there's currently no good way to have capabilities be kept in all our
      images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2017 15:12:52 -0800

iputils (3:20150815-2ubuntu3) yakkety; urgency=medium

  * Apply same setcap/chmod fix to arping, tracepath, and clockdiff.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Jun 2016 05:00:31 -0600

iputils (3:20150815-2ubuntu2) yakkety; urgency=medium

  * Fix brain-o in previous upload that dropped the actual 'chmod' call.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jun 2016 10:20:03 +0300

iputils (3:20150815-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable (LP: #1592425).  Remaining changes:
    - Support cross-building
    - Mark ping and ping6 setuid again as there's currently no good ways
      to have capabilities be kept in all our images.
  * Build-Depend on sgmlspl:any for improved automated cross-build support.

 -- Dave Chiluk <chiluk@ubuntu.com>  Tue, 01 Mar 2016 22:11:11 +0000

iputils (3:20121221-5ubuntu2) utopic; urgency=medium

  * Mark ping and ping6 setuid again as there's currently no good ways
    to have capabilities be kept in all our images. (LP: #1302192)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 07 May 2014 14:42:28 -0500

iputils (3:20121221-5ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Support cross-building.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Apr 2014 16:58:55 +0200

iputils (3:20121221-4ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Support cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Jan 2014 14:27:35 +0000

iputils (3:20121221-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Support cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 May 2013 15:39:45 +0100

iputils (3:20101006-3ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Support cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 17:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: iputils
 Section: net
 Priority: extra
-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 7), opensp, sgmlspl, docbook, libcap-dev, libgnutls-openssl-dev, libidn11-dev, bash (>= 3)
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/iputils.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/iputils.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 7), xsltproc, docbook-xsl, libcap-dev, libgnutls-openssl-dev, libidn11-dev, bash (>= 3)
+Vcs-Git: https://salsa.debian.org/debian/iputils.git
+Vcs-Browser: https://salsa.debian.org/debian/iputils
 
 Package: iputils-ping
 Architecture: any
@@ -23,7 +24,6 @@
 Package: iputils-tracepath
 Architecture: any
 Suggests: traceroute
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Tools to trace the network path to a remote host
  The tracepath utility is similar to the traceroute utility, but also

## iputils 20190515

=== debian/changelog ===
iputils (3:20190515-2) unstable; urgency=medium

  * Import upstream fix for FTBFS issue when setcap is not
    installed. (Closes: #931491)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 07 Jul 2019 11:21:17 -0700

iputils (3:20190515-1) sid; urgency=medium

  * New upstream snapshot (Closes: #907327, #869202, #869202)
  * Refresh and modernize debian/rules using dh (Closes: #648033, #928334)
  * Set Multi-Arch: foreign on all binary packages (Closes: #878100)
  * Raise libcap2-bin from Recommends to Depends (Closes: #780721)
  * Update to standards version 4.3.0

 -- Noah Meyerhans <noahm@debian.org>  Fri, 05 Jul 2019 15:49:21 -0700

=== debian/control ===
Source: iputils
Section: net
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10), xsltproc, docbook-xsl,
 docbook-xsl-ns, libcap-dev,
  libgcrypt-dev, libidn11-dev, bash (>= 3), meson
Vcs-Git: https://salsa.debian.org/debian/iputils.git
Vcs-Browser: https://salsa.debian.org/debian/iputils

Package: iputils-ping
Architecture: any
Provides: ping
Priority: important
Depends: libcap2-bin, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Tools to test the reachability of network hosts
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
 .
 This package includes a ping6 utility which supports IPv6 network
 connections.

Package: iputils-tracepath
Architecture: any
Suggests: traceroute
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Tools to trace the network path to a remote host
 The tracepath utility is similar to the traceroute utility, but also
 attempts to discover the MTU of the path. Supports IPv4 and IPv6.

Package: iputils-arping
Architecture: any
Depends: libcap2-bin, ${shlibs:Depends}, ${misc:Depends}
Conflicts: arping
Multi-Arch: foreign
Description: Tool to send ICMP echo requests to an ARP address
 The arping command acts like the standard ping command except it pings
 a machine by its ARP address instead of its IP address.  It is typically
 used to locate a machine if its hardware address is known but its IP
 address is unknown

Package: iputils-clockdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Measure the time difference between networked computers
 Clockdiff computes the difference between the time of the machine on
 which it is called and the time of other network-accessible machines.
 The time differences measured by clockdiff are obtained using a
 sequence of ICMP TSTAMP messages which are returned to the sender by
 the IP module in the remote machine.

## iputils 20190709

=== Makefile ===
all:
	ninja -C builddir

clean:
	ninja -C builddir clean

install:
	DESTDIR=$(DESTDIR) ninja -C builddir install

dist:
	ninja -C builddir dist

check:
	ninja -C builddir test

=== meson_options.txt ===
option('USE_CAP', type : 'boolean', value : true,
	description : 'Capatiblity support (with libcap)')

option('USE_IDN', type : 'boolean', value : true,
	description : 'IDN support (with libidn2)')

option('USE_CRYPTO', type : 'combo',
	choices : [ 'none', 'gcrypt', 'nettle', 'openssl', 'kernel' ], value : 'openssl',
	description: 'Crypto library support')

option('BUILD_ARPING', type : 'boolean', value : true,
        description : 'Build arping')

option('BUILD_CLOCKDIFF', type : 'boolean', value : true,
        description : 'Build clockdiff')

option('BUILD_PING', type : 'boolean', value : true,
        description : 'Build ping')

option('BUILD_RARPD', type : 'boolean', value : false,
        description : 'Build rarpd')

option('BUILD_RDISC', type : 'boolean', value : true,
	description : 'Build rinfod')

option('ENABLE_RDISC_SERVER', type : 'boolean', value : true,
	description : 'Enable rinfod server code')

option('BUILD_TFTPD', type : 'boolean', value : true,
        description : 'Build tftpd')

option('BUILD_TRACEPATH', type : 'boolean', value : true,
        description : 'Build tracepath')

option('BUILD_TRACEROUTE6', type : 'boolean', value : false,
        description : 'Build traceroute6')

option('BUILD_NINFOD', type : 'boolean', value : true,
	description : 'Build ninfod')

option('NINFOD_MESSAGES', type : 'boolean', value : true,
	description : 'Enable ninfod syslog messages')

option('BUILD_MANS', type : 'boolean', value : true,
	description : 'Build manuals')

option('BUILD_HTML_MANS', type : 'boolean', value : false,
	description : 'Build html manuals')

option('NO_SETCAP_OR_SUID', type : 'boolean', value : false,
	description : 'Allow disabling build-aux/setcap-setuid.sh')

option('ARPING_DEFAULT_DEVICE', type : 'string', value : '',
	description : 'Default device for arping')

option('systemdunitdir', type: 'string', value: '',
	description: 'Directory for systemd units')

option('USE_GETTEXT', type: 'boolean', value: true,
	description: 'Enable I18N')

=== debian/changelog ===
iputils (3:20190709-3ubuntu1) focal; urgency=medium

  * debian/patches/git_revert_strict_pattern_matching.patch:
    - cherrypick of an upstream revert of a buggy commit which was leading
      to incorrect ping statistics on truncated packets (lp: #1964506)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Sep 2022 21:06:15 +0200

iputils (3:20190709-3) unstable; urgency=medium

  * Incorporate upstream fix for getaddrinfo handling. Thanks to Benjamin
  * Poirier <benjamin.poirier@gmail.com>
    (Closes: #947921)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 30 Jan 2020 15:11:23 -0800

iputils (3:20190709-2) unstable; urgency=medium

  * Incorporate upstream fix for arping exit code regression
    (Closes: #936080)
  * Follow local file diversions when manipulating ACLs and file modes on
    installed binaries.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 05 Oct 2019 07:34:12 -0700

iputils (3:20190709-1) unstable; urgency=medium

  * New upstream release
  * Update to standards version 4.4.0 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 09 Jul 2019 21:06:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 4.3.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev,
   libgcrypt-dev, libidn11-dev, bash (>= 3), meson

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export DEBIAN_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
export BUILD_DIR=obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

TARGETS=ping tracepath traceroute6 clockdiff arping
MAN_TARGETS=doc/arping.8 doc/clockdiff.8 \
	   doc/ping.8 doc/tracepath.8 doc/traceroute6.8

%:
	dh $@ --buildsystem=meson+ninja --builddirectory=$(BUILD_DIR)

override_dh_auto_configure:
	meson $(BUILD_DIR) \
		-Dprefix=/usr \
		-DBUILD_RARPD=false \
		-DBUILD_RDISC=false \
		-DBUILD_TFTPD=false \
		-DBUILD_NINFOD=false \
		-DBUILD_HTML_MANS=false \
		-DBUILD_TRACEROUTE6=true \
		-DNO_SETCAP_OR_SUID=true \
		-DUSE_CRYPTO=gcrypt

override_dh_auto_test:

override_dh_install:
	dh_install
	mv debian/iputils-tracepath/usr/bin/traceroute6 debian/iputils-tracepath/usr/bin/traceroute6.iputils

override_dh_installman:
	dh_installman
	mv debian/iputils-tracepath/usr/share/man/man8/traceroute6.8 debian/iputils-tracepath/usr/share/man/man8/traceroute6.iputils.8

## iputils 20200821

=== meson_options.txt ===
--- 
+++ 
@@ -3,10 +3,6 @@
 
 option('USE_IDN', type : 'boolean', value : true,
 	description : 'IDN support (with libidn2)')
-
-option('USE_CRYPTO', type : 'combo',
-	choices : [ 'none', 'gcrypt', 'nettle', 'openssl', 'kernel' ], value : 'openssl',
-	description: 'Crypto library support')
 
 option('BUILD_ARPING', type : 'boolean', value : true,
         description : 'Build arping')
@@ -21,12 +17,12 @@
         description : 'Build rarpd')
 
 option('BUILD_RDISC', type : 'boolean', value : true,
-	description : 'Build rinfod')
+	description : 'Build RDISC')
 
 option('ENABLE_RDISC_SERVER', type : 'boolean', value : true,
-	description : 'Enable rinfod server code')
+	description : 'Enable RDISC server code')
 
-option('BUILD_TFTPD', type : 'boolean', value : true,
+option('BUILD_TFTPD', type : 'boolean', value : false,
         description : 'Build tftpd')
 
 option('BUILD_TRACEPATH', type : 'boolean', value : true,
@@ -48,7 +44,19 @@
 	description : 'Build html manuals')
 
 option('NO_SETCAP_OR_SUID', type : 'boolean', value : false,
-	description : 'Allow disabling build-aux/setcap-setuid.sh')
+       description : 'Disable setting setcap or setuid with build-aux/setcap-setuid.sh')
+
+option('SETCAP_OR_SUID_ARPING', type : 'boolean', value : false,
+	description : 'Set setcap or setuid on arping with build-aux/setcap-setuid.sh')
+
+option('SETCAP_OR_SUID_CLOCKDIFF', type : 'boolean', value : true,
+	description : 'Set setcap or setuid on clockdiff with build-aux/setcap-setuid.sh')
+
+option('SETCAP_OR_SUID_PING', type : 'boolean', value : true,
+	description : 'Set setcap or setuid on ping with build-aux/setcap-setuid.sh')
+
+option('SETCAP_OR_SUID_TRACEROUTE6', type : 'boolean', value : true,
+	description : 'Set setcap or setuid on traceroute6 with build-aux/setcap-setuid.sh')
 
 option('ARPING_DEFAULT_DEVICE', type : 'string', value : '',
 	description : 'Default device for arping')

=== debian/changelog ===
iputils (3:20200821-2) unstable; urgency=medium

  * Add pkg-config to build-depends to actually enable IDN support
    (Closes: #932700)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 23 Aug 2020 12:08:50 -0700

iputils (3:20200821-1) unstable; urgency=medium

  * New upstream version (Closes: #498429, #935946)
  * Fix IDN build dependency. (Closes: #959868)
  * Update standards compliance to 4.5.0 (no changes needed)
  * Switch to debhelper compat level 13
  * Install upstream's CHANGES file in binary packages
  * Let dh_auto_configure pass a crossfile to meson (Closes: #962080)
  * Package metadata updates:
    - Add repository and bug tracker details to debian/upstream/metadata
    - Add Homepage field to debian/control

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Aug 2020 14:13:21 -0700

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 	dh $@ --buildsystem=meson+ninja --builddirectory=$(BUILD_DIR)
 
 override_dh_auto_configure:
-	meson $(BUILD_DIR) \
-		-Dprefix=/usr \
+	dh_auto_configure -- \
 		-DBUILD_RARPD=false \
 		-DBUILD_RDISC=false \
 		-DBUILD_TFTPD=false \
@@ -22,7 +21,8 @@
 		-DBUILD_HTML_MANS=false \
 		-DBUILD_TRACEROUTE6=true \
 		-DNO_SETCAP_OR_SUID=true \
-		-DUSE_CRYPTO=gcrypt
+		-DUSE_CRYPTO=gcrypt \
+		-DUSE_GETTEXT=false
 
 override_dh_auto_test:

## iputils 20210202

=== meson_options.txt ===
--- 
+++ 
@@ -64,5 +64,8 @@
 option('systemdunitdir', type: 'string', value: '',
 	description: 'Directory for systemd units')
 
+option('INSTALL_SYSTEMD_UNITS', type: 'boolean', value: false,
+        description: 'Install generated systemd unit files')
+
 option('USE_GETTEXT', type: 'boolean', value: true,
 	description: 'Enable I18N')

=== debian/changelog ===
iputils (3:20210202-1) unstable; urgency=medium

  * New upstream version

 -- Noah Meyerhans <noahm@debian.org>  Tue, 02 Feb 2021 09:49:16 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 10), xsltproc, docbook-xsl,
+Maintainer: Noah Meyerhans <noahm@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev,
-  libgcrypt-dev, libidn11-dev, bash (>= 3), meson
+ libgcrypt-dev, libidn2-dev, bash (>= 3), meson, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/iputils.git
 Vcs-Browser: https://salsa.debian.org/debian/iputils
+Homepage: https://github.com/iputils/iputils/
 
 Package: iputils-ping
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 		-DBUILD_HTML_MANS=false \
 		-DBUILD_TRACEROUTE6=true \
 		-DNO_SETCAP_OR_SUID=true \
-		-DUSE_CRYPTO=gcrypt \
 		-DUSE_GETTEXT=false
 
 override_dh_auto_test:

## iputils 20211215

=== debian/changelog ===
iputils (3:20211215-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted ICMP Echo Reply packet
    - debian/patches/CVE-2025-47268: fix signed 64-bit integer overflow in
      RTT calculation in iputils_common.h, ping/ping_common.c.
    - debian/patches/CVE-2025-48964.patch: fix moving average rtt
      calculation in iputils_common.h, ping/ping.h, ping/ping_common.c.
    - CVE-2025-47268
    - CVE-2025-48964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jul 2025 07:51:44 -0400

iputils (3:20211215-1) unstable; urgency=medium

  * New upstream release (Closes: #971044, #699238)
  * Drop traceroute6 binary, which is no longer provided upstream
  * Add iproute2 to build-deps for upstream tests

 -- Noah Meyerhans <noahm@debian.org>  Fri, 04 Feb 2022 20:37:10 -0800

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export DEBIAN_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
export BUILD_DIR=obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

TARGETS=ping tracepath clockdiff arping
MAN_TARGETS=doc/arping.8 doc/clockdiff.8 \
	   doc/ping.8 doc/tracepath.8

%:
	dh $@ --buildsystem=meson+ninja --builddirectory=$(BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_RARPD=false \
		-DBUILD_RDISC=false \
		-DBUILD_NINFOD=false \
		-DBUILD_HTML_MANS=false \
		-DNO_SETCAP_OR_SUID=true \
		-DUSE_GETTEXT=false

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz-$1.tar.xz"
  https://github.com/iputils/iputils/tags \
  (?:.*?/)?v?s(\d[\d.]*)\.tar\.gz debian uupdate

## iputils 20221126

=== debian/changelog ===
iputils (3:20221126-1+deb12u1) bookworm; urgency=medium

  * Import upstream fix for incorrect ping receiving packets intended for other
    processes (Closes: #1040313)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 24 Sep 2024 13:00:36 -0400

iputils (3:20221126-1) unstable; urgency=medium

  * New upstream version. See /usr/share/doc/iputils-*/changelog.gz for
    detailed changes.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 26 Nov 2022 23:29:56 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
- docbook-xsl-ns, libcap-dev,
+ docbook-xsl-ns, libcap-dev, iproute2,
  libgcrypt-dev, libidn2-dev, bash (>= 3), meson, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/iputils.git
 Vcs-Browser: https://salsa.debian.org/debian/iputils

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DBUILD_RARPD=false \
-		-DBUILD_RDISC=false \
-		-DBUILD_NINFOD=false \
 		-DBUILD_HTML_MANS=false \
 		-DNO_SETCAP_OR_SUID=true \
 		-DUSE_GETTEXT=false

## iputils 20240117

=== debian/changelog ===
iputils (3:20240117-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted ICMP Echo Reply packet
    - debian/patches/CVE-2025-47268: fix signed 64-bit integer overflow in
      RTT calculation in iputils_common.h, ping/ping_common.c.
    - debian/patches/CVE-2025-48964.patch: fix moving average rtt
      calculation in iputils_common.h, ping/ping.h, ping/ping_common.c.
    - CVE-2025-47268
    - CVE-2025-48964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jul 2025 07:51:16 -0400

iputils (3:20240117-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:00:16 +0200

iputils (3:20240117-1) unstable; urgency=medium

  * New upstream version. See /usr/share/doc/iputils-*/changelog.gz for
    full details.
  * Move ping to /usr for DEP17. (Closes: #711492, #1059916)
  * Update debian/watch (Thanks Petr Vorel <pvorel@suse.cz) (Closes: #1059728)
  * Update debian/copyright to correct Upstream-Contact field
  * Stop falling back to setuid binaries for raw socket access
  * debian/rules: Ensure build-dir is removed in clean

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Feb 2024 11:16:58 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev, iproute2,

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 		-DUSE_GETTEXT=false
 
 override_dh_auto_test:
+
+execute_after_dh_clean:
+	-rm -rf build-dir

## iputils 20240905

=== debian/changelog ===
iputils (3:20240905-3ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 15:16:58 +0000

iputils (3:20240905-3ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: DoS via crafted ICMP Echo Reply packet
    - debian/patches/CVE-2025-47268: fix signed 64-bit integer overflow in
      RTT calculation in iputils_common.h, ping/ping_common.c.
    - debian/patches/CVE-2025-48964.patch: fix moving average rtt
      calculation in iputils_common.h, ping/ping.h, ping/ping_common.c.
    - CVE-2025-47268
    - CVE-2025-48964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jul 2025 07:45:14 -0400

iputils (3:20240905-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112014). Remaining changes:
    - d/iputils-pings.postinst: Revert the setcap removal on ping as the
      current solution based on net.ipv4.ping_group_range doesn't work by
      default in containers. (LP #2089938)

 -- Ankush Pathak <ankush.pathak@canonical.com>  Mon, 09 Jun 2025 13:31:16 +0530

iputils (3:20240905-3) unstable; urgency=medium

  * clockdiff: Fix setcap invocation (Closes: #1103864)
  * Update NEWS entry for ICMP_PROTO datagram socket use

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Apr 2025 07:36:44 -0400

iputils (3:20240905-2) unstable; urgency=medium

  * Add autopkgtests
  * Add a debian/NEWS entry describing the use of ICMP_PROTO sockets

 -- Noah Meyerhans <noahm@debian.org>  Mon, 21 Apr 2025 07:50:37 -0400

iputils (3:20240905-1ubuntu1) plucky; urgency=medium

  * Revert the setcap removal on ping as the current solution based on
    net.ipv4.ping_group_range doesn't work by default in containers.
    (LP: #2089938)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 12 Dec 2024 17:03:29 +0100

iputils (3:20240905-1) unstable; urgency=medium

  * New upstream release
  * Drop unused libgcrypt-dev builddep (Closes: #1071869)
  * ping: Add Recommends on linux-sysctl-defaults and stop setting additional
    capabilities (Closes: #1008281)
  * Replace pkg-config with pkgconf in build-deps
  * Set cap_sys_nice in iputils-clockdiff (Closes: #991252)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 24 Sep 2024 12:24:14 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev, iproute2,
- libgcrypt-dev, libidn2-dev, bash (>= 3), meson, pkg-config
+ libidn2-dev, bash (>= 3), meson, pkgconf
 Vcs-Git: https://salsa.debian.org/debian/iputils.git
 Vcs-Browser: https://salsa.debian.org/debian/iputils
 Homepage: https://github.com/iputils/iputils/
@@ -15,7 +15,8 @@
 Architecture: any
 Provides: ping
 Priority: important
-Depends: libcap2-bin, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: linux-sysctl-defaults
 Multi-Arch: foreign
 Description: Tools to test the reachability of network hosts
  The ping command sends ICMP ECHO_REQUEST packets to a host in order to
@@ -46,7 +47,7 @@
 
 Package: iputils-clockdiff
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libcap2-bin, ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: Measure the time difference between networked computers
  Clockdiff computes the difference between the time of the machine on

=== debian/tests/control ===
Tests: ping-localhost
Depends: iputils-ping
Restrictions: needs-sudo,isolation-container,skippable

=== debian/watch ===
# based on https://salsa.debian.org/printing-team/cups/-/blob/debian/main/debian/watch?ref_type=heads
version=4
opts="searchmode=plain" \
https://api.github.com/repos/iputils/@PACKAGE@/releases \
https://github.com/iputils/@PACKAGE@/releases/download/?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## iputils 20250605

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+.PHONY: all clean install dist check
+
 all:
 	ninja -C builddir

=== debian/changelog ===
iputils (3:20250605-1) unstable; urgency=medium

  * New upstream release
    - Fix CVE-2025-47268: Signed 64-bit integer overflow in RTT calculation
      (Closes: #1104746)
    - Fix CVE-2025-48964: Integer Overflow in ping Statistics via Zero
      Timestamp (Closes: #1109728)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 24 Jul 2025 08:58:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev, iproute2,
